Bug 142459 - UNO object inspector: long class names are truncated (gen)
Summary: UNO object inspector: long class names are truncated (gen)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
7.2.0.0 alpha1+
Hardware: All All
: medium normal
Assignee: Gizem Özgün
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
Depends on:
Blocks: UNO-Object-Inspector
  Show dependency treegraph
 
Reported: 2021-05-24 11:18 UTC by Xisco Faulí
Modified: 2021-07-07 20:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (44.40 KB, image/png)
2021-05-24 11:18 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-05-24 11:18:56 UTC
Created attachment 172287 [details]
Screenshot

Steps to reproduce:
1. Open writer
2. Insert an image
3. Open the UNO object inspector
4. Click on 'Current Selection

-> Class name is truncated. See screenshot

Reproduced in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 42d2b2d55a27f11153ea1713737d93540a19211d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2021-05-24 11:19:37 UTC
@Gülşah Köse, I thought you might be interested in this issue
Comment 2 Gülşah Köse 2021-06-23 06:10:35 UTC
Gizem is about to complete this bug.
Comment 3 Commit Notification 2021-07-06 05:23:28 UTC
Gizem Ozgun committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1c8483d2174bc6419829dface97627a4304c8912

tdf#142459 Fixed long class names are truncated(gen)

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-07-07 20:00:07 UTC
Gizem Ozgun committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/419e70876f19787e0bf1cf99178fc2e00fc4dcc6

tdf#142459 Fixed long class names are truncated(gen)

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.